https://prefect.io logo
#prefect-server
Title
# prefect-server
d

David Car

02/22/2021, 4:54 PM
Hello, I'm trying the tutorials and have the cloud based server instance running. The issue I'm running into is the start a local agent on my machine. I followed the directions here: https://docs.prefect.io/orchestration/tutorial/overview.html#create-a-runner-token and added the returned runner token to my ~/.prefect/config.toml. When I try to launch the local agent with: prefect agent local start I get the following stack trace:
Traceback (most recent call last):
File "C:\ProgramData\Miniconda3\envs\prefect\lib\site-packages\toml\decoder.py", line 511, in loads ret = decoder.load_line(line, currentlevel, multikey, File "C:\ProgramData\Miniconda3\envs\prefect\lib\site-packages\toml\decoder.py", line 778, in load_line value, vtype = self.load_value(pair[1], strictly_valid) File "C:\ProgramData\Miniconda3\envs\prefect\lib\site-packages\toml\decoder.py", line 910, in load_value raise ValueError("This float doesn't have a leading " ValueError: This float doesn't have a leading digit During handling of the above exception, another exception occurred: Traceback (most recent call last): File "C:\ProgramData\Miniconda3\envs\prefect\Scripts\prefect-script.py", line 5, in <module> from prefect.cli import cli File "C:\ProgramData\Miniconda3\envs\prefect\lib\site-packages\prefect\__init__.py", line 1, in <module> import prefect.utilities File "C:\ProgramData\Miniconda3\envs\prefect\lib\site-packages\prefect\utilities\__init__.py", line 1, in <module> import prefect.utilities.logging File "C:\ProgramData\Miniconda3\envs\prefect\lib\site-packages\prefect\utilities\logging.py", line 23, in <module> from prefect.utilities.context import context File "C:\ProgramData\Miniconda3\envs\prefect\lib\site-packages\prefect\utilities\context.py", line 69, in <module> from prefect.configuration import config File "C:\ProgramData\Miniconda3\envs\prefect\lib\site-packages\prefect\configuration.py", line 324, in <module> config = load_configuration( File "C:\ProgramData\Miniconda3\envs\prefect\lib\site-packages\prefect\configuration.py", line 300, in load_configuration user_config = load_toml(user_config_path) File "C:\ProgramData\Miniconda3\envs\prefect\lib\site-packages\prefect\configuration.py", line 177, in load_toml for key, value in toml.load(cast(str, interpolate_env_vars(path))).items() File "C:\ProgramData\Miniconda3\envs\prefect\lib\site-packages\toml\decoder.py", line 134, in load return loads(ffile.read(), _dict, decoder) File "C:\ProgramData\Miniconda3\envs\prefect\lib\site-packages\toml\decoder.py", line 514, in loads raise TomlDecodeError(str(err), original, pos) toml.decoder.TomlDecodeError: This float doesn't have a leading digit (line 3 column 1 char 39) This is on a Windows 10 machine with a conda install of prefect. Looks like it expects the token to be numeric or at least lead with a numeric value. Many thanks.
z

Zanie

02/22/2021, 4:55 PM
Hey @David Car -- this is failing in TOML validation. Do you have
"
around your token?
I believe TOML treats something without quotes as numeric
d

Dylan

02/22/2021, 5:00 PM
(Also, try to keep stacktraces in a thread so that the top-level messages stay clean / easy to read, please! 😄)
d

David Car

02/22/2021, 5:28 PM
Doh!... Thanks! And duly noted on the stack trace. Thanks again!
d

Dylan

02/22/2021, 5:49 PM
You bet!